local wk = require("which-key")

wk.add({
	{ "<leader>bt", "<cmd>BlameToggle virtual<cr>", desc = "Toggle Virtual Blame" },
	{ "<leader>c", desc = "NerdCommenter" },
	{ "<leader>f", desc = "Telescope - Finder" },

	{ "<leader>fb", "<cmd>Telescope buffers<CR>", desc = "Find Open Buffers" },
	{ "<leader>ff", require("telescope").extensions.file_browser.file_browser, desc = "Find File" },
	{ "<leader>fg", "<cmd>Telescope live_grep<CR>", desc = "Live Grep" },
	{ "<leader>fh", "<cmd>Telescope help_tags<CR>", desc = "Find Help" },
	{ "<leader>fi", "<cmd>Telescope builtin<cr>", desc = "Search all Telescope builtins" },
	{ "<leader>ft", "<cmd>TodoTelescope <cr>", desc = "Open Todo in Telescope" },
	{ "<leader>fu", "<cmd>UrlView<cr>", desc = "Display and open URLs in current buffer" },

	{ "<leader>n", desc = "Terminal" },
	{ "<leader>nb", "<cmd>lua _Lazygit_toggle()<CR>", desc = "Open Lazygit" },
	{ "<leader>nj", "<cmd>ToggleTerm<CR>", desc = "Open Terminal" },

	{ "<leader>r", "<cmd>lua vim.lsp.buf.rename()<CR>", desc = "Rename a token" },
	{ "<leader>t1", "<Cmd>BufferGoto 1<CR>", desc = "Go to Buffer 1" },
	{ "<leader>td", "<Cmd>BufferClose<CR>", desc = "Close Current Buffer" },

	{ "<leader>x", desc = "Toggle Trouble" },
	{ "<leader>xl", "<cmd>Trouble loclist toggle<cr>", desc = "" },
	{ "<leader>xq", "<cmd>Trouble quickfix toggle<cr>", desc = "" },
	{ "<leader>xr", "<cmd>Trouble lsp_references toggle<cr>", desc = "" },
	{ "<leader>xx", "<cmd>Trouble diagnostics toggle<cr>", desc = "Open Trouble" },

	{ "/", require("telescope.builtin").current_buffer_fuzzy_find, desc = "Search for a string in the current buffer" },

	{ "<leader>gpd", require("goto-preview").goto_preview_definition, desc = "Open definition preview" },
	{ "<leader>gpt", require("goto-preview").goto_preview_type_definition, desc = "Open type definition preview" },
})
